## org.eclipse.jet.core.parser.ast
Class JETASTVisitor

    java.lang.Object
      org.eclipse.jet.core.parser.ast.JETASTVisitor

    public abstract class JETASTVisitor

extends java.lang.Object

A visitor for a JETAST tree. This implementation provides 'do nothing' actions for each visit method. Subclasses need override only the visit methods required.

Since:
  0.8.0
See Also:
  `JETASTVisitor`

Constructor Summary
`JETASTVisitor()`

Method Summary
`void` `endVisit(Comment comment)` Visit a Comment element, after visiting its children.
`void` `endVisit(IncludedContent content)` Post visit a section of included content (JET1 only)
`void` `endVisit(JavaDeclaration declaration)` Visit a JavaDeclaration element, after visiting its children.
`void` `endVisit(JavaExpression expression)` Visit a JavaExpression element, after visiting its children.
`void` `endVisit(JavaScriptlet scriptlet)` Visit a JavaScriptlet element, after visiting its children.
`void` `endVisit(JETCompilationUnit compilationUnit)` Visit a JETCompilationUnit element, after visiting its body elements.
`void` `endVisit(JETDirective directive)` Visit a JETDirective element, after visiting its children.
`void` `endVisit(TextElement text)` Visit a TextElement element, after visiting its children.
`void` `endVisit(XMLBodyElement xmlBodyElement)` Visit an XMLBodyElement, after visiting its body elements.
`void` `endVisit(XMLBodyElementEnd xmlBodyElementEnd)` Visit a XMLBodyElementEnd element, after visiting its children.
`void` `endVisit(XMLEmptyElement xmlEmptyElement)` Visit a XMLEmptyElement element, after visiting its children.
`void` `postVisit(JETASTElement element)` Visits the AST Node after all type specific visit/end visits
`void` `preVisit(JETASTElement element)` Visits an AST Node prior to a type specific visit
`boolean` `visit(Comment comment)` Visit a Comment element.
`boolean` `visit(IncludedContent content)` Visit a section of included content (JET1 only)
`boolean` `visit(JavaDeclaration declaration)` Visit a JavaDeclaration.
`boolean` `visit(JavaExpression expression)` Visit a JavaExpression.
`boolean` `visit(JavaScriptlet scriptlet)` Visit a JavaScriptlet.
`boolean` `visit(JETCompilationUnit compilationUnit)` Visit a JETCompilationUnit element, prior to visiting its body elements.
`boolean` `visit(JETDirective directive)` Visit a JETDirective.
`boolean` `visit(TextElement text)` Visit a TextElement.
`boolean` `visit(XMLBodyElement xmlBodyElement)` Visit an XMLBodyElement, prior to visiting its body elements.
`boolean` `visit(XMLBodyElementEnd xmlBodyElementEnd)` Visit the end tag of an XMLBodyElement.
`boolean` `visit(XMLEmptyElement xmlEmptyElement)` Visit an XMLEmptyElement.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### JETASTVisitor

    public JETASTVisitor()

Method Detail

### visit

    public boolean visit(JETCompilationUnit compilationUnit)

  Visit a JETCompilationUnit element, prior to visiting its body elements.

  Parameters:
    `compilationUnit` -
  Returns:
    `true` if the children of this element should be visited, and `false` if the children of this element should be skipped

### endVisit

    public void endVisit(JETCompilationUnit compilationUnit)

  Visit a JETCompilationUnit element, after visiting its body elements.

  Parameters:
    `compilationUnit` -

### visit

    public boolean visit(JavaDeclaration declaration)

  Visit a JavaDeclaration.

  Parameters:
    `declaration` - the JavaDeclaration element
  Returns:
    `true` if the children of this element should be visited, and `false` if the children of this element should be skipped

### visit

    public boolean visit(JETDirective directive)

  Visit a JETDirective.

  Parameters:
    `directive` - the JETDirective element
  Returns:
    `true` if the children of this element should be visited, and `false` if the children of this element should be skipped

### visit

    public boolean visit(JavaExpression expression)

  Visit a JavaExpression.

  Parameters:
    `expression` -
  Returns:
    `true` if the children of this element should be visited, and `false` if the children of this element should be skipped

### visit

    public boolean visit(JavaScriptlet scriptlet)

  Visit a JavaScriptlet.

  Parameters:
    `scriptlet` -
  Returns:
    `true` if the children of this element should be visited, and `false` if the children of this element should be skipped

### visit

    public boolean visit(TextElement text)

  Visit a TextElement.

  Parameters:
    `text` -
  Returns:
    `true` if the children of this element should be visited, and `false` if the children of this element should be skipped

### visit

    public boolean visit(XMLEmptyElement xmlEmptyElement)

  Visit an XMLEmptyElement.

  Parameters:
    `xmlEmptyElement` -
  Returns:
    `true` if the children of this element should be visited, and `false` if the children of this element should be skipped

### visit

    public boolean visit(XMLBodyElement xmlBodyElement)

  Visit an XMLBodyElement, prior to visiting its body elements.

  Parameters:
    `xmlBodyElement` -
  Returns:
    `true` if the children of this element should be visited, and `false` if the children of this element should be skipped

### endVisit

    public void endVisit(XMLBodyElement xmlBodyElement)

  Visit an XMLBodyElement, after visiting its body elements.

  Parameters:
    `xmlBodyElement` -

### visit

    public boolean visit(XMLBodyElementEnd xmlBodyElementEnd)

  Visit the end tag of an XMLBodyElement. Happens after `endVisit(XMLBodyElement)`.

  Parameters:
    `xmlBodyElementEnd` -
  Returns:
    `true` if the children of this element should be visited, and `false` if the children of this element should be skipped

### visit

    public boolean visit(Comment comment)

  Visit a Comment element.

  Parameters:
    `comment` -
  Returns:
    `true` if the children of this element should be visited, and `false` if the children of this element should be skipped

### visit

    public boolean visit(IncludedContent content)

  Visit a section of included content (JET1 only)

  Parameters:
    `content` - the included content element
  Returns:
    `true` if the children of this element should be visited, and `false` if the children of this element should be skipped

### endVisit

    public void endVisit(IncludedContent content)

  Post visit a section of included content (JET1 only)

  Parameters:
    `content` - the included content element

### endVisit

    public void endVisit(JavaDeclaration declaration)

  Visit a JavaDeclaration element, after visiting its children.

  Parameters:
    `declaration` - the JavaDeclaration

### endVisit

    public void endVisit(JETDirective directive)

  Visit a JETDirective element, after visiting its children.

  Parameters:
    `directive` - the JETDirective element

### endVisit

    public void endVisit(JavaExpression expression)

  Visit a JavaExpression element, after visiting its children.

  Parameters:
    `expression` - the JavaExpression element

### endVisit

    public void endVisit(JavaScriptlet scriptlet)

  Visit a JavaScriptlet element, after visiting its children.

  Parameters:
    `scriptlet` - the JavaScriptlet element

### endVisit

    public void endVisit(TextElement text)

  Visit a TextElement element, after visiting its children.

  Parameters:
    `text` - the TextElement element

### endVisit

    public void endVisit(XMLEmptyElement xmlEmptyElement)

  Visit a XMLEmptyElement element, after visiting its children.

  Parameters:
    `xmlEmptyElement` - the XMLEmptyElement element

### endVisit

    public void endVisit(XMLBodyElementEnd xmlBodyElementEnd)

  Visit a XMLBodyElementEnd element, after visiting its children.

  Parameters:
    `xmlBodyElementEnd` - the XMLBodyElementEnd element

### endVisit

    public void endVisit(Comment comment)

  Visit a Comment element, after visiting its children.

  Parameters:
    `comment` - the Comment element

### postVisit

    public void postVisit(JETASTElement element)

  Visits the AST Node after all type specific visit/end visits

  Parameters:
    `element` - the AST element

### preVisit

    public void preVisit(JETASTElement element)

  Visits an AST Node prior to a type specific visit

  Parameters:
    `element` - the AST element

Copyright 2006 IBM Corporation and others. All Rights Reserved.